/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-08-11 11:24:42
 * @LastEditTime: 2022-08-21 14:25:33
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 遮罩层
 */
import React from 'react';
import './index.less';

/**
 * show: bool; // 显示隐藏
 * zIndex: number; // 层级
 * bgColor: string; // 背景色
 * onOverlay: func; // 点击蒙层触发
 */
const Overlay = ({ show, zIndex, bgColor, onOverlay }) => {
	return (
		<div onClick={onOverlay} className={`overlay ${show ? '' : 'overlay-fade-leave'}`} style={{ zIndex: zIndex || 998, backgroundColor: bgColor }} />
	);
};

export default Overlay;
